body.is_modal {
  overflow: hidden;
}

.modal_window {
  display: block;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  transform-origin: center;
  max-width: 90%;
  min-width: min(90%, 550px);
  padding: 0;
  margin: auto;
  animation-name: fadeOut;
  animation-fill-mode: forwards;
  animation-duration: 200ms;
  animation-timing-function: ease-out;
  border: none;
  border-radius: 5px;
}
.modal_window.is_hidden {
  display: none;
}
.modal_window:modal {
  overflow: initial;
}
.modal_window[open] {
  animation-name: fadeIn;
  animation-fill-mode: forwards;
  animation-duration: 400ms;
  animation-timing-function: ease-out;
}
.modal_window[open] ::backdrop {
  animation-name: fadeIn;
  animation-fill-mode: forwards;
  animation-duration: 200ms;
  animation-timing-function: ease-out;
}
.modal_window::backdrop {
  background: rgba(0, 0, 0, 0.8);
}
.modal_window .container_area {
  position: relative;
  padding: 24px min(3%, 30px);
  background: #fff;
  text-align: left;
  line-height: 1.8;
}
.modal_window .container_area .content_area .page_heading:first-of-type {
  margin-top: 0;
}
.modal_window [data-modal=close_button] {
  position: absolute;
  width: 40px;
  height: 40px;
  right: 24px;
  top: 36px;
  background: none;
  border: 0;
  outline: transparent;
  cursor: pointer;
}
.modal_window [data-modal=close_button]::before, .modal_window [data-modal=close_button]::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 4px;
  height: 28px;
  background: #000;
  border-radius: 10px;
  z-index: 999;
}
.modal_window [data-modal=close_button]::before {
  transform: translate(-50%, -50%) rotate(45deg);
}
.modal_window [data-modal=close_button]::after {
  transform: translate(-50%, -50%) rotate(-45deg);
}
@media screen and (max-width: 767px) {
  .modal_window [data-modal=close_button] {
    width: 26px;
    height: 26px;
    top: 40px;
    right: 5px;
    /* margin-left: 48px; */
  }
}
.modal_window .submit_button_area {
  margin-top: 20px;
  text-align: center;
}
.modal_window .submit_button_area button {
  min-width: 160px;
}

.modal_inner_area {
  padding: 24px min(3%, 30px);
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
@keyframes fadeOut {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}
.drawer_window {
  display: block;
  position: fixed;
  top: 0;
  left: auto;
  right: 0;
  transform-origin: center;
  width: 90%;
  height: 100%;
  max-height: 100%;
  margin: 0;
  padding: 0;
  animation-name: slideOut;
  animation-fill-mode: forwards;
  animation-duration: 200ms;
  animation-timing-function: ease-out;
  border: none;
  border-radius: 5px;
}
.drawer_window.is_hidden {
  display: none;
}
.drawer_window:modal {
  overflow: initial;
}
.drawer_window[open] {
  animation-name: slideIn;
  animation-fill-mode: forwards;
  animation-duration: 400ms;
  animation-timing-function: ease-out;
}
.drawer_window[open] ::backdrop {
  animation-name: slideIn;
  animation-fill-mode: forwards;
  animation-duration: 200ms;
  animation-timing-function: ease-out;
}
.drawer_window::backdrop {
  background: rgba(0, 0, 0, 0.8);
}
.drawer_window .container_area {
  position: relative;
  height: 100%;
  background: var(--background-color);
  text-align: left;
}
.drawer_window [data-modal=close_button] {
  position: absolute;
  width: 28px;
  height: 28px;
  left: -32px;
  top: 25px;
  background: none;
  border: 0;
  cursor: pointer;
}
.drawer_window [data-modal=close_button]::before, .drawer_window [data-modal=close_button]::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 4px;
  height: 28px;
  background: #fff;
  border-radius: 10px;
  z-index: 999;
}
.drawer_window [data-modal=close_button]::before {
  transform: translate(-50%, -50%) rotate(45deg);
}
.drawer_window [data-modal=close_button]::after {
  transform: translate(-50%, -50%) rotate(-45deg);
}
.drawer_window .content_area {
  width: 100%;
  height: 100%;
  padding: 24px min(3%, 30px);
}
.drawer_window .content_area iframe {
  width: 100%;
  height: 100%;
}

@keyframes slideIn {
  from {
    right: -100%;
  }
  to {
    right: 0;
  }
}
@keyframes slideOut {
  from {
    right: 0;
  }
  to {
    right: -100%;
  }
}